Changes between Version 5 and Version 6 of GCI/Documentation/BuildRTEMSDocumentation


Ignore:
Timestamp:
Nov 12, 2018, 1:11:56 PM (8 months ago)
Author:
taneka zenon hans
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • GCI/Documentation/BuildRTEMSDocumentation

    v5 v6  
    2424== Feedback ==
    2525
    26 ||'''Student Nickname''' || '''Host OS''' || '''Feedback'''
    27 || NAME || HOST || TBD ||
    28 || zehata || Ubuntu 18.04 || The process was very simple and I only had to use the ./waf configure and ./waf commands and the process was very straightforward. However, to build the pdf file, I had to reinstall tlmgr to update to the 2018 version. Furthermore, LaTeX called multiple errors, which suggests some of the LaTeX files have some error in formatting. To workaround this, use the -kk command when running ./waf (It flags for try extra hard -> I'm not kidding check ./waf --help). So what you want to do is ./waf configure --pdf , install the missing packages, then run ./waf --pdf -kk and this should (hopefully) create the appropriate pdfs. Good luck! ||
     26||'''Student Nickname''' || '''Sphinx version''' || '''Host OS''' || '''Feedback'''
     27|| NAME || VERSION || HOST || TBD ||
     28|| zehata || sphinx-build 1.8.2 || Ubuntu 18.04 || The process was very simple and I only had to use the ./waf configure and ./waf commands and the process was very straightforward. However, to build the pdf file, I had to reinstall tlmgr to update to the 2018 version. Furthermore, LaTeX called multiple errors, which suggests some of the LaTeX files have some error in formatting. To workaround this, use the -kk command when running ./waf (It flags for try extra hard -> I'm not kidding check ./waf --help). So what you want to do is ./waf configure --pdf , install the missing packages, then run ./waf --pdf -kk and this should (hopefully) create the appropriate pdfs. Good luck! ||
    2929
    3030== Directions for Mentors ==